ssdeep_2.13-2_i386.deb


Advertisement

Description

ssdeep - recursive piecewise hashing tool

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ssdeep
Package version: 2.13
Package release: 2
Package architecture: i386
Package type: deb
Installed size: 93 B
Download size: 28.92 KB
Official Mirror: archive.ubuntu.com
ssdeep is a tool for recursive computing and matching of Context Triggered Piecewise Hashing (aka Fuzzy Hashing). Fuzzy hashing is a method for comparing similar but not identical files. This tool can be used to compare files like regular hashing does (like md5sum or sha1sum) but it will find similar files with little differences. For example, it can be used to identify modified versions of known files even if data has been inserted, modified, or deleted in the new files. This package is useful in forensics investigations.

Alternatives

    Download

    Binary package: ssdeep_2.13-2_i386.deb
    Source package: ssdeep

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ssdeep deb package:
      # sudo apt-get install ssdeep

    Files

    • /usr/bin/ssdeep
    • /usr/share/doc/ssdeep/FILEFORMAT
    • /usr/share/doc/ssdeep/NEWS.gz
    • /usr/share/doc/ssdeep/changelog.Debian.gz
    • /usr/share/doc/ssdeep/copyright
    • /usr/share/man/man1/ssdeep.1.gz

    Changelog

    2015-06-17 - Joao Eriberto Mota Filho <eriberto@debian.org> ssdeep (2.13-2) unstable; urgency=medium * Team upload. * Upload to unstable.

    2015-06-12 - Joao Eriberto Mota Filho <eriberto@debian.org> ssdeep (2.13-1) experimental; urgency=medium * Team upload. * New upstream release. (Closes: #703808, #781568) * debian/control: - Added the word 'forensics' to long description. - Updated the Vcs-* fields. * debian/copyright: full updated. * debian/libfuzzy2.docs: added to install the README file. * debian/libfuzzy2.symbols: updated. * debian/rules: - Added the variable DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening. - Added the override_dh_installdocs target to install the 'NEWS' file in all binaries. - Removed the old-style definition about the LDFLAGS. * debian/watch: improved.

    2014-10-24 - Helmut Grohne <helmut@subdivi.de> ssdeep (2.12-1) unstable; urgency=medium * Team upload. * Imported upstream version 2.12 (Closes: #764357) + Drop patch enable_shared_library.patch (applied). * Declare compliance with policy version 3.9.6: no changes needed

    2014-09-16 - Helmut Grohne <helmut@subdivi.de> ssdeep (2.11-1) unstable; urgency=medium * Team upload. * Imported upstream version 2.11 (Closes: #741431) + New thread-safe libfuzzy API functions (Closes: #721217) Update debian/libfuzzy2.symbols + No longer uses PATH_MAX + Fixes hash scoring (Closes: #760817) + Fixes memory leak (Closes: #702551) * Add patch to build shared library again * Declare compliance with policy version 3.9.5: no changes needed * Switch from autotools-dev to dh-autoreconf to support new architectures (Closes: #734912) * Fix changelog syntax for 2.7-2: missing clonon after "Closes". * Bump to debhelper compat level 9. + Hardening just works + Multi-Arch paths (update debian/*.install) * Convert to Multi-Arch * Update debian/copyright.

    2012-12-06 - Michael Prokop <mika@debian.org> ssdeep (2.7-2) unstable; urgency=low [ Christophe Monniez ] * [8c07aaa] Adding the missing Breaks+Replaces (Closes: #694368).

    2011-10-12 - Julien Valroff <julien@debian.org> ssdeep (2.7-1) unstable; urgency=low * Team upload. [ Julien Valroff ] * Update DEP-5 copyright syntax [ Christophe Monniez ] * Imported Upstream version 2.7

    2011-09-18 - Julien Valroff <julien@debian.org> ssdeep (2.6-1) unstable; urgency=low * Team upload. [ Christophe Monniez ] * Adding upstream version 2.6. * Split the libfuzzy library from the ssdeep package. [ Michael Prokop ] * Switch to 3.0 (quilt) source package format. * Drop debian/ssdeep.lintian-overrides (since we provide dev-pkg nowadays). * Fix depends on libfuzzy2 in libfuzzy-dev. * debian/rules: adjust debug package name. [ Julien Valroff ] * Use autotools-dev * Bump debhelper compat to 8 * Bump Standards-Version to 3.9.2 * Drop useless source lintian overrides * Update DEP-5 copyright syntax

    2010-05-31 - Michael Prokop <mika@debian.org> ssdeep (2.5-1) unstable; urgency=low [ Daniel Baumann ] * Minimizing rules file. * Adding stuff in rules that doesn't get done by dh automatically. [ Christophe Monniez ] * Fixing VCS fields in control file. * Bumping standards version to 3.8.4. * Merging upstream version 2.5. [ Michael Prokop ] * Build-Depend on debhelper (>= 7.0.50~).

    2009-07-25 - Michael Prokop <mika@debian.org> ssdeep (2.2-1) unstable; urgency=low * Merging upstream version 2.2.

    2009-07-09 - Daniel Baumann <daniel@debian.org> ssdeep (2.1-2) unstable; urgency=low * Updating package to standards version 3.8.2. * Adding comment to lintian overrides. * Adding source lintian overrides. * Adding autotools-dev to build-depends. * Using correct rfc-2822 date formats in changelog.

    Advertisement
    Advertisement